from contrib.umws.umws_service import UMWebService

# Dummy data to simulate the response of WS of DTSI
dummy_data = {
    'username': 'dev@eurotux.com',
    'phone': '+351912233441',
    'name': 'Dev Test'
}


class MembersService(UMWebService):
    """ """
    settings_name = "MEMBERS_SERVICE_CONFIG"

    def is_email_valid(self, email):
        """ """
        if self.in_debug():
            return True
        client = self.get_client()
        return client.service.IsEmailValid(email)

    def get_contact_info_by_email(self, email):
        """ """
        if self.in_debug():
            if email == "unknown@eurotux.com":
                return {}
            return dummy_data
        client = self.get_client()
        contact = client.service.GetContactInfoByEmail(email)
        if contact:
            return self.get_data(contact)
        return {}

    def get_contact_info_by_login(self, login):
        """ """
        if self.in_debug():
            if login == "unknown":
                return {}
            return dummy_data
        client = self.get_client()
        contact = client.service.GetContactInfoByLogin(login)
        if contact:
            return self.get_data(contact)
        return {}

    def get_data(self, contact):
        """ Contact Element has this fields:
            'DataAlteracao', 'Email', 'Login', 'Name', 'Number', 'OutroEmail'
            For now we only need: 'Email', 'Name', 'Number'
        """
        email = contact.Email
        num = contact.Number
        name = contact.Name
        data = {
            'username': '' if email is None else email.title().lower(),
            'phone': '' if num is None else self.valid_phone(num.title()),
            'name': '' if name is None else name.title(),
        }
        return data

    def valid_phone(self, number):
        """ """
        if len(number) < 10:
            return "+351" + number  # FIXME Prefix should be variable
        return number


members_service = MembersService()
