from django.test import SimpleTestCase
from mock import patch
from .test_utils import ClientMock
from .umws_service import umws_service


class ShortMessageServiceClientMock(ClientMock):
    """
    Mock object that implements Generic methods
    """

    def Ping(self):  # noqa
        """ Get Message Status
        """
        return True


class UMWebServiceCase(SimpleTestCase):
    """ """

    def test_in_debug(self):
        """ """
        debug = umws_service.in_debug()
        self.assertEqual(debug, False)

    @patch('contrib.umws.umws_service.get_client')
    def test_ping(self, get_client):
        """ """
        get_client.return_value = ShortMessageServiceClientMock("url_wsdl")
        ping = umws_service.ping()
        self.assertEqual(ping, True)
